

clear all; close all; clc; load('res_alpha_staz');
u_staz=u; y_staz=y;

fig=figure; 
subplot(1,2,1); plot(x,u); hold on; plot(x,v,'r');
hh=xlabel('$x$'); set(hh,'Interpreter','latex','FontSize',14);
hh=ylabel('$u$'); set(hh,'Interpreter','latex','FontSize',14,'Rotation',0);

subplot(1,2,2); plot(x,y); hold on; plot(x,z_aux,'r');
hh=xlabel('$x$'); set(hh,'Interpreter','latex','FontSize',14);
hh=ylabel('$y$'); set(hh,'Interpreter','latex','FontSize',14,'Rotation',0);
saveas(fig,'uy_alpha_staz.jpg');

load('res_alpha_ev');



[XX,TT]=meshgrid(x,t);
fig=figure; 
subplot(1,3,1); surf(XX,TT,u'); hold on; plot3(x,(T/2)*ones(Nx),v,'r','linewidth',3);
hold on; plot3(x,(T/2)*ones(Nx),u_staz,'b','linewidth',3);
hh=xlabel('$x$'); set(hh,'Interpreter','latex','FontSize',14);
hh=ylabel('$t$'); set(hh,'Interpreter','latex','FontSize',14);
hh=zlabel('$u$'); set(hh,'Interpreter','latex','FontSize',14,'Rotation',0);

subplot(1,3,2); surf(XX,TT,y'); hold on; plot3(x,(T/2)*ones(Nx),z_aux,'r','linewidth',3);
hold on; plot3(x,(T/2)*ones(Nx),y_staz,'b','linewidth',3);
hh=xlabel('$x$'); set(hh,'Interpreter','latex','FontSize',14);
hh=ylabel('$t$'); set(hh,'Interpreter','latex','FontSize',14);
hh=zlabel('$y$'); set(hh,'Interpreter','latex','FontSize',14,'Rotation',0);

subplot(1,3,3); surf(XX,TT,p');
hh=xlabel('$x$'); set(hh,'Interpreter','latex','FontSize',14);
hh=ylabel('$t$'); set(hh,'Interpreter','latex','FontSize',14);
hh=zlabel('$p$'); set(hh,'Interpreter','latex','FontSize',14,'Rotation',0);

saveas(fig,'uyp_alpha_tot.jpg');


fig=figure; surf(XX,TT,u'); hold on; plot3(x,(T/2)*ones(Nx),v,'r','linewidth',3);
hold on; plot3(x,(T/2)*ones(Nx),u_staz,'b','linewidth',3);
hh=xlabel('$x$'); set(hh,'Interpreter','latex','FontSize',14);
hh=ylabel('$t$'); set(hh,'Interpreter','latex','FontSize',14);
hh=zlabel('$u$'); set(hh,'Interpreter','latex','FontSize',14,'Rotation',0);
saveas(fig,'u_alpha_tot.jpg');

fig=figure; surf(XX,TT,y'); hold on; plot3(x,(T/2)*ones(Nx),z_aux,'r','linewidth',3);
hold on; plot3(x,(T/2)*ones(Nx),y_staz,'b','linewidth',3);
hh=xlabel('$x$'); set(hh,'Interpreter','latex','FontSize',14);
hh=ylabel('$t$'); set(hh,'Interpreter','latex','FontSize',14);
hh=zlabel('$y$'); set(hh,'Interpreter','latex','FontSize',14,'Rotation',0);
saveas(fig,'y_alpha_tot.jpg'); 

fig=figure; surf(XX,TT,p');
hh=xlabel('$x$'); set(hh,'Interpreter','latex','FontSize',14);
hh=ylabel('$t$'); set(hh,'Interpreter','latex','FontSize',14);
hh=zlabel('$p$'); set(hh,'Interpreter','latex','FontSize',14,'Rotation',0);
saveas(fig,'p_alpha_tot.jpg'); pause; close all;


    