
clear all; close all; clc; load('data')

alpha=0.01; 

Nmax=1000;


J=@(u,y) alpha*sum(sum(abs(u)))+0.5*beta*sum(sum(u.^2))+0.5*sum(sum((y-z).^2));
u=zeros(Nx,Nt); y=primal_eq(R_A,B,u,y0,dt,Nt);
J_val=zeros(Nmax,1); J_val(1,1)=J(u,y); J_old=J_val(1,1);
aux=zeros(Nx,Nt);

tic
for k=2:Nmax
    
    Nmax-k+1
    
    lambda=10;
    
    p=dual_eq(R_Ad,y-z,pT,dt,Nt);
    
    for n=1:Nt
        aux=(1-lambda*beta)*u(:,n)-lambda*B*p(:,n);
        u(:,n)=shrink(aux, alpha*lambda);
    end
    y=primal_eq(R_A,B,u,y0,dt,Nt);
    
    J_val(k,1)=J(u,y);
    if J_val(k,1)>J_old
        break;
    end
    J_old=J_val(k,1);
    
end
comp_time=toc
p=dual_eq(R_Ad,y-z,pT,dt,Nt);



save('res_alpha_ev');



fig=figure; plot(1:Nmax,J_val); saveas(fig,'J_alpha_ev.jpg');


[XX,TT]=meshgrid(x,t);
fig=figure; 
subplot(1,3,1); surf(XX,TT,u'); hold on; plot3(x,(T/2)*ones(Nx),v,'r','linewidth',3);
hh=xlabel('$x$'); set(hh,'Interpreter','latex','FontSize',14);
hh=ylabel('$t$'); set(hh,'Interpreter','latex','FontSize',14);
hh=zlabel('$u$'); set(hh,'Interpreter','latex','FontSize',14,'Rotation',0);

subplot(1,3,2); surf(XX,TT,y'); hold on; plot3(x,(T/2)*ones(Nx),z_aux,'r','linewidth',3);
hh=xlabel('$x$'); set(hh,'Interpreter','latex','FontSize',14);
hh=ylabel('$t$'); set(hh,'Interpreter','latex','FontSize',14);
hh=zlabel('$y$'); set(hh,'Interpreter','latex','FontSize',14,'Rotation',0);

subplot(1,3,3); surf(XX,TT,p');
hh=xlabel('$x$'); set(hh,'Interpreter','latex','FontSize',14);
hh=ylabel('$t$'); set(hh,'Interpreter','latex','FontSize',14);
hh=zlabel('$p$'); set(hh,'Interpreter','latex','FontSize',14,'Rotation',0);

saveas(fig,'uyp_alpha_ev.jpg'); pause; close all;


    